#! /usr/bin/env python2.5

# $Id: setup.py 3169 2010-03-02 11:59:18Z wsl $
# $URL: https://svn.non-gnu.uvt.nl/uvt-dev/trunk/sources/eo-updater/setup.py $

from distutils.core import setup
from glob import glob

setup(
	name = 'eo-updater',
	version = '1.0',
	maintainer = 'Universiteit van Tilburg',
	maintainer_email = 'meresco@uvt.nl',
	url = 'http://www.non-gnu.uvt.nl/eo-updater/',
	scripts = glob('bin/*'),
	package_dir = {'': 'src'},
	py_modules = ['ConfigMaker', 'ArchiveMaker'],

	# Directory names are not allowed, i.e. filenames only.
	# For directories with subdirectories use glob(*.*) as a poor man's: find type -f
	# please do not use a '.' in subdir names(!)
	data_files = [
		('share/doc/eo-updater/example', glob('etc/*')),
		('share/eo-updater/xslt', glob('xslt/*')),
	],
)
